Bug 23643 - installer incorrectly configures lilo
installer incorrectly configures lilo
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 55509 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-01-08 21:54 EST by Need Real Name
Modified: 2007-03-26 23:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-17 16:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-08 21:54:47 EST
Two hard drive i386: Linux on /dev/hda, Win98 on /dev/hdb
The way The redhat installer sets up lilo my system will not boot win98 on th second disk. The following modifications to /etc/lilo.conf will 
correct this:

# win 98 stanza
     map-drive = 0x80  #  These four lines are that do everything.
       to = 0x81           #
     map-drive = 0x81  #
       to = 0x80           #
Comment 1 Michael Fulbright 2001-01-09 16:24:28 EST
Assigning to a developer.
Comment 2 Erik Troan 2001-01-12 12:52:24 EST
Fixing this is quite tricky, as our internal lilo representation doesn't allow
duplicate entries within a single stanza.
Comment 3 Michael Fulbright 2001-09-17 15:12:26 EDT
Please consider this Jeremy.
Comment 4 Jeremy Katz 2002-01-21 20:26:56 EST
*** Bug 55509 has been marked as a duplicate of this bug. ***
Comment 5 Michael Fulbright 2002-09-17 16:52:01 EDT
GRUB is the recommended bootloader to use now.

Note You need to log in before you can comment on or make changes to this bug.